#include <bits/stdc++.h>
using namespace std;

int main() {
	char c1, c2;
	int a1,a2;
	int i=0;
	cin>>c1>>c2;
	cin>>a1>>a2;

	if(abs(a1-a2)>1)
	cout<<"nemoguce"<<endl;
    else  if(a1-a2==1)
	{ cout<<c1;
      for(i=0;i<a2;i++)
	  {
      cout<<c2<<c1;	
	  }	
	}
	     else  if(a2-a1==1)
	           { cout<<c2;
                 for(i=0;i<a1;i++)
	             cout <<c1<<c2;
	           }
	           else if(a1==a2)
	                { 
	                  for(i=0;i<a1;i++)
	                  cout<<c1<<c2;
	                }
  return 0;
  }